Bug 1638082 - After Firefox update saved passwords cleared on startup [7.7] [rhel-7.6.z]
Summary: After Firefox update saved passwords cleared on startup [7.7] [rhel-7.6.z]
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: firefox
Version: 7.5
Hardware: Unspecified
OS: Unspecified
urgent
unspecified
Target Milestone: rc
: ---
Assignee: Martin Stransky
QA Contact: Desktop QE
URL:
Whiteboard:
: 1638035 (view as bug list)
Depends On: 1633932
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-10-10 15:38 UTC by Oneata Mircea Teodor
Modified: 2018-12-20 08:25 UTC (History)
25 users (show)

Fixed In Version: firefox-60.2.2-2.el7_5
Doc Type: Bug Fix
Doc Text:
Previously, passwords saved in the Firefox browser and encrypted by a master password were erased when Firefox was exited. This update ensures that NSS files used to decrypt stored login data are handled correctly. As a result, the affected passwords are no longer lost after restarting Firefox.
Clone Of: 1633932
Environment:
Last Closed: 2018-10-24 22:10:33 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:3005 None None None 2018-10-24 22:10:56 UTC

Description Oneata Mircea Teodor 2018-10-10 15:38:24 UTC
This bug has been copied from bug #1633932 and has been proposed to be backported to 7.6 z-stream (EUS).

Comment 3 Oneata Mircea Teodor 2018-10-10 15:39:24 UTC
*** Bug 1638035 has been marked as a duplicate of this bug. ***

Comment 5 Michael Boisvert 2018-10-15 15:01:46 UTC
Using the reproducer from the original bug, I am able to verify the issues have been fixed in: firefox-60.2.2-2.el7_5.

Comment 6 Martin Stransky 2018-10-23 07:15:34 UTC
Sorry I wrongly changed the state to ON_QA but I can't switch it back to verified.

Comment 8 errata-xmlrpc 2018-10-24 22:10:33 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:3005


Note You need to log in before you can comment on or make changes to this bug.